---

- name: Install required ssl packages
  apt:
    pkg:
      - python-openssl
    state: latest
    update_cache: yes

- name: Generate ssl private key file
  openssl_privatekey:
    path: /etc/ssl/private/{{ inventory_hostname }}.key

- name: Generate ssl certificate request file
  openssl_csr:
    path: /etc/ssl/private/{{ inventory_hostname }}.csr
    privatekey_path: /etc/ssl/private/{{ inventory_hostname }}.key
    subject_alt_name: "DNS:{{ inventory_hostname }}"

- name: Generate a Self Signed OpenSSL certificate
  openssl_certificate:
    path: /etc/ssl/certs/{{ inventory_hostname }}.pem
    privatekey_path: /etc/ssl/private/{{ inventory_hostname }}.key
    csr_path: /etc/ssl/private/{{ inventory_hostname }}.csr
    provider: selfsigned

